Sisimai::Reason::ExceedLimit(3pm)

NAME
Sisimai::Reason::ExceedLimit - Bounce reason is "exceedlimit" or not.

SYNOPSIS
    use Sisimai::Reason::ExceedLimit;
    print Sisimai::Reason::ExceedLimit->match; # 0

DESCRIPTION
"Sisimai::Reason::ExceedLimit" checks the bounce reason is "exceedlimit" or not. This class is called only "Sisimai::Reason" class.

This is the error that a message was rejected due to an email exceeded the limit. The value of DSN is 5.2.3. This reason is almost the same as "MesgTooBig", we think.

    ... while talking to mx.example.org.:
    >>> MAIL From:<kijitora@example.co.jp> SIZE=16600348
    <<< 552 5.2.3 Message size exceeds fixed maximum message size (10485760)
    554 5.0.0 Service unavailable

CLASS METHODS

  "text()"
text() method returns the fixed string "exceedlimit".

    print Sisimai::Reason::ExceedLimit->text;  # exceedlimit

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::ExceedLimit->match; # 0;

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "exceedlimit". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

SEE ALSO

Sisimai::Reason::MesgTooBig - Sisimai::Reason::MesgTooBig

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2016,2018,2020,2021,2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.